VismaBouwsoftAPICalls.v1_POST_OrderLines Method
v1_POST_OrderLines() as String

This API call is used to add a(n) OrderLine

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /OrderLines
or
API Path: /OrderLines/{id}/ActualizePrice
or
API Path: /OrderLines/{id}/Copy
or
API Path: /OrderLines/{id}/Move

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
orderid 1 tpLong 0 Yes No No
ordertype 2 tpString 50 No No No
ordernr 1 tpLong 0 No No No
order_address_id 1 tpLong 0 No No No
order_address_name 2 tpString 150 No No No
order_project_id 1 tpLong 0 No No No
order_project_pnr 1 tpLong 0 No No No
linenr 1 tpLong 0 No No No
linkedto_type 2 tpString 0 No Yes No
linkedto_type_localized 2 tpString 0 No No No
linkedto_source 1 tpLong 0 No No No
linkedto_id 1 tpLong 0 No Yes No
group 2 tpString 100 No Yes No
nr1 2 tpString 100 No Yes No
nr2 2 tpString 100 No Yes No
description 2 tpString 0 No Yes No
unit1 2 tpString 10 No Yes No
unit2 2 tpString 10 No Yes No
unit1_localized 2 tpString 10 No No No
unit2_localized 2 tpString 10 No No No
quantity1 4 tpDouble 0 No Yes No
quantity2 4 tpDouble 0 No Yes No
quantity3 4 tpDouble 0 No Yes No
quantity4 4 tpDouble 0 No Yes No
quantity_total 4 tpDouble 0 No No No
all_quantities_are_included_in_quantity_total 5 tpBool 0 No Yes No
price_unit 14 tpCurrencyHD 0 No Yes No
discount 4 tpDouble 0 No Yes No
price_total 14 tpCurrencyHD 0 No No No
vatcode 2 tpString 5 No Yes No
vatpercent 13 tpPercent 0 No Yes No
vatcocontractor 5 tpBool 0 No Yes No
ledger 1 tpLong 0 No Yes No
price_unit_afterdiscount 14 tpCurrencyHD 0 No No No
cost_products 14 tpCurrencyHD 0 No Yes No
margin_products 13 tpPercent 0 No Yes No
cost_hours 14 tpCurrencyHD 0 No Yes No
margin_hours 13 tpPercent 0 No Yes No
hours_unit 20 tpTimeDouble 0 No No No
hours_total 20 tpTimeDouble 0 No No No
cost_machines 14 tpCurrencyHD 0 No Yes No
margin_machines 13 tpPercent 0 No Yes No
cost_subcontractors 14 tpCurrencyHD 0 No Yes No
margin_subcontractors 13 tpPercent 0 No Yes No
margin_fixed 13 tpPercent 0 No Yes No
info_brand 2 tpString 150 No Yes No
info_type 2 tpString 0 No Yes No
planned_quantity 4 tpDouble 0 No Yes No
project_id 1 tpLong 0 No Yes No Projects
project_pnr 1 tpLong 0 No No No
project_unr 1 tpLong 0 No No No
project_name 2 tpString 100 No No No
supplier_id 1 tpLong 0 No Yes No Addresses
supplier_nr 1 tpLong 0 No No No
supplier_name 2 tpString 150 No No No
include_line_in_total 5 tpBool 0 No Yes No
include_line_on_print 5 tpBool 0 No Yes No
start_on_new_page 5 tpBool 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No
order_decimals 1 tpLong 0 No No No
order_is_readonly 5 tpBool 0 No No No

/OrderLines

API Path: /OrderLines/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Query Parameters :
ParameterName: columns, ParameterValue: orderid=17617

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 142294,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 1,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:55"
  }
]
}

https://ra.bouwsoft.be/api/v1/OrderLines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: ODrfWxflmGzSfAbfAfzRqfkDfVmtfGkffjOkzVkOlVDGPfffmU

Query Parameters :
ParameterName: columns, ParameterValue: orderid=17617

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 142295,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 2,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:55"
  }
]
}

/OrderLines/{id}/ActualizePrice

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines/142294/ActualizePrice

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 142294,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 1,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:59"
  }
]
}

/OrderLines/{id}/Copy

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines/142294/Copy

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 142296,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 2,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:59"
  }
]
}

https://ra.bouwsoft.be/api/v1/OrderLines/142296/Copy

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: bAlfWxfbAIzSflbrrfzRqOfkffAIfGljfbAkzGUjjtOGlDjAtG

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–0/1”, “Records”: [
  {
    "id": 142297,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 3,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:21:04"
  }
]
}

/OrderLines/{id}/Move

If everything succeeds the HTTP response status is 200
(200 OK)

If there is something wrong with the request, the response status and code is 400
(400 Bad Request)

If there is no record that has the requested id the HTTP response status and code is 404
(404 Not found)

If you forget to send the Authorization, the response status is 401
(401 Unauthorized)

If what you sent can’t be processed, the response status is 500
(500 Internal Server Error)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/OrderLines/142294/Move

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: GkffWxfDAjzSfjlrbfzRqljAfkVkfGAkfUfkzkjrrODGkGDfkD

Query Parameters :
ParameterName: down, ParameterValue: 1

Success gives statuscode 200 And the following result

{ “Content-Range”:“0–2/3”, “Records”: [
  {
    "id": 142294,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 1,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:59"
  },
  {
    "id": 142296,
    "orderid": 17617,
    "ordertype": "FAKTUUR",
    "ordernr": 2020001246,
    "order_address_id": 42178,
    "order_address_name": "SupportTest Andy",
    "order_project_id": 278,
    "order_project_pnr": 20140143,
    "linenr": 2,
    "linkedto_type": "",
    "linkedto_type_localized": "",
    "linkedto_source": 0,
    "linkedto_id": 0,
    "group": "",
    "nr1": "",
    "nr2": "",
    "description": "",
    "unit1": "",
    "unit2": "",
    "unit1_localized": "",
    "unit2_localized": "",
    "quantity1": 0,
    "quantity2": 1,
    "quantity3": 1,
    "quantity4": 1,
    "quantity_total": 0,
    "all_quantities_are_included_in_quantity_total": true,
    "price_unit": 0.0,
    "discount": 0,
    "price_total": 0.0,
    "vatcode": "21",
    "vatpercent": 21,
    "vatcocontractor": false,
    "ledger": 700000,
    "price_unit_afterdiscount": 0.0,
    "cost_products": 0.0,
    "margin_products": 0,
    "cost_hours": 0.0,
    "margin_hours": 0,
    "hours_unit": 0,
    "hours_total": 0,
    "cost_machines": 0.0,
    "margin_machines": 0,
    "cost_subcontractors": 0.0,
    "margin_subcontractors": 0,
    "margin_fixed": 0,
    "info_brand": "",
    "info_type": "",
    "planned_quantity": 0,
    "project_id": 278,
    "project_pnr": 20140143,
    "project_unr": 0,
    "project_name": "SupportTest Andy Plaatsen Deuren",
    "supplier_id": 0,
    "supplier_nr": 0,
    "supplier_name": "",
    "include_line_in_total": true,
    "include_line_on_print": true,
    "start_on_new_page": false,
    "ts_lastupdate": "2026–05–07 09:20:59"
  }
,

]
}